Bug 1307213 - Review Request: erlang-rds13_xmlrpc - Erlang XMLRPC implementation with SSL, cookies, and authentication
Review Request: erlang-rds13_xmlrpc - Erlang XMLRPC implementation with SSL, ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Cline
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-13 01:11 EST by Randy Barlow
Modified: 2016-02-15 12:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-14 11:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-02-13 01:11:52 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-rds13_xmlrpc.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-rds13_xmlrpc-0-20150506git42e6e96a.1.fc24.src.rpm
Description: This is an HTTP 1.1 compliant XML-RPC library for Erlang. It is
designed to make it easy to write XML-RPC Erlang clients and/or
servers. The library is compliant with the XML-RPC specification
published by http://www.xmlrpc.org/.
Fedora Account System Username: rbarlow
Comment 1 Randy Barlow 2016-02-13 01:13:06 EST
I see these lint outputs:

erlang-rds13_xmlrpc.x86_64: E: no-binary
erlang-rds13_xmlrpc.x86_64: W: only-non-binary-in-usr-lib

These are typical for pure Erlang packages.
Comment 2 Upstream Release Monitoring 2016-02-13 01:18:07 EST
rbarlow's scratch build of erlang-rds13_xmlrpc-0-20150506git42e6e96a.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12962928
Comment 3 Peter Lemenkov 2016-02-14 11:23:15 EST
Let's postpone this particular package. We'd better just to use rds13 as a new upstream for erlang-xmlrpc.

Few notes:

* ejabberd upstream maintains their own XMLRPC fork
* Yaws requires xmlrpc, so we should check if a rds13' fork is compatible.
Comment 4 Randy Barlow 2016-02-15 12:56:52 EST
Agreed, thanks for you input Peter!

Note You need to log in before you can comment on or make changes to this bug.